      PROGRAM GEOTEST
C----------------------------------------------------------------------
C-
C-   Purpose and Methods : 
C-
C-   Inputs  : 
C-   Outputs : 
C-   Controls: 
C-
C-   Created  23-OCT-1990   MICHIGAN STATE UNIVERSITY, TRIGGER CONTROL SOFTWARE
C-
C----------------------------------------------------------------------
      IMPLICIT NONE
      integer err
      include 'd0$params:level1_lookup.params'
      include 'd0$inc:level1_lookup.inc'
      integer phi
      integer eta
c
      err = -4271
      call actual_geometry(err)
      write (6,*) 'Error code from ACTUAL_GEOMETRY: ', err
      write (6,*)
      write (6,*) 'Eta runs from -20 to -1, then 20 to 1'
      write (6,*) 'R coordinates'
      write (6,*) 'EM Tower'
      DO PHI = PHI_MIN, PHI_MAX
        write (6,*) 'PHI:', PHI
        write (6,*) (tower_rz_coord(NEG_ETA, ETA, PHI, EM_TOWER, 
     &    R_COORD ), ETA = ETA_MAX, ETA_MIN, -1)
        write (6,*) (tower_rz_coord(POS_ETA, ETA, PHI, EM_TOWER, 
     &    R_COORD ), ETA = ETA_MIN, ETA_MAX)

      END DO
      write (6,*)
      write (6,*) 'R coordinates'
      write (6,*) 'HD Tower'
      DO PHI = PHI_MIN, PHI_MAX
        write (6,*) 'PHI:', PHI
        write (6,*) (tower_rz_coord(NEG_ETA, ETA, PHI, HD_TOWER, 
     &    R_COORD), ETA = ETA_MAX, ETA_MIN, -1)
        write (6,*) (tower_rz_coord(POS_ETA, ETA, PHI, HD_TOWER, 
     &    R_COORD), ETA = ETA_MIN, ETA_MAX)
      END DO
      write (6,*) 
      write (6,*) 'Z coordinates'
      write (6,*) 'EM Tower'
      DO PHI = PHI_MIN, PHI_MAX
        write (6,*) 'PHI:', PHI
        write (6,*) (tower_rz_coord(NEG_ETA, ETA, PHI, EM_TOWER, 
     &    Z_COORD ), ETA = ETA_MAX, ETA_MIN, -1)
        write (6,*) (tower_rz_coord(POS_ETA, ETA, PHI, EM_TOWER, 
     &    Z_COORD ), ETA = ETA_MIN, ETA_MAX)
      END DO
      write (6,*)
      write (6,*) 'Z coordinates'
      write (6,*) 'HD Tower'
      DO PHI = PHI_MIN, PHI_MAX
        write (6,*) 'PHI:', PHI
        write (6,*) (tower_rz_coord(NEG_ETA, ETA, PHI, HD_TOWER, 
     &    Z_COORD), ETA = ETA_MAX, ETA_MIN, -1)
        write (6,*) (tower_rz_coord(POS_ETA, ETA, PHI, HD_TOWER, 
     &    Z_COORD), ETA = ETA_MIN, ETA_MAX)
      END DO


C----------------------------------------------------------------------
      END
